Bug 1219952 - Should not migrate linkto and commit-hash xattrs on tier promotion/demotion
Summary: Should not migrate linkto and commit-hash xattrs on tier promotion/demotion
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: tiering
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Lambright
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On:
Blocks: 1260923
TreeView+ depends on / blocked
 
Reported: 2015-05-08 19:38 UTC by Dan Lambright
Modified: 2015-10-30 17:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-12 13:22:17 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Dan Lambright 2015-05-08 19:38:34 UTC
We whould not migrate linkto and commit-hash xattrs on tier promotion/demotion. If we do this, we risk referring to a subvolume that does not exist on the destination tier.

Comment 1 Dan Lambright 2015-05-12 13:22:17 UTC
It does not appear the linkto xattr is transferred on file migration. 

        /* remove the 'linkto' xattr from the destination */
        ret = syncop_fremovexattr (to, dst_fd, conf->link_xattr_name, 0, NULL);
        if (ret) {
                gf_log (this->name, GF_LOG_WARNING,
                        "%s: failed to perform removexattr on %s (%s)",
                        loc->path, to->name, strerror (-ret));
                ret = -1;
        }


Note You need to log in before you can comment on or make changes to this bug.